<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#EAEFF2"
    android:orientation="vertical"
    tools:context=".ui.activity.feedback.FeedbackActivity">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|start"
            android:layout_marginVertical="10dp"
            android:layout_marginStart="10dp">

            <FrameLayout
                android:id="@+id/fl_fanhui"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="10dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/h_fanhui"
                    tools:ignore="ContentDescription" />

            </FrameLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="Feedback"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </LinearLayout>

        <TextView
            android:id="@+id/tv_submit"
            android:layout_width="90dp"
            android:layout_height="35dp"
            android:layout_gravity="center_vertical|end"
            android:layout_marginEnd="16dp"
            android:background="@drawable/bg_border_selector_save"
            android:enabled="false"
            android:gravity="center"
            android:src="@drawable/bg_delete_download"
            android:text="Submit"
            android:textColor="#AEAEB0"
            android:textSize="16sp"
            tools:ignore="ContentDescription,HardcodedText" />

    </FrameLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="176dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="15dp"
            android:layout_marginBottom="30dp"
            android:background="@drawable/bg_stroke_c3c6d6_15"
            android:orientation="vertical">

            <EditText
                android:id="@+id/edit"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginHorizontal="15dp"
                android:layout_marginTop="15dp"
                android:layout_weight="1"
                android:background="@null"
                android:gravity="top"
                android:hint="Write down your question"
                android:maxLength="500"
                tools:ignore="Autofill,HardcodedText,TextFields" />


            <TextView
                android:id="@+id/tv_number"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="end"
                android:layout_marginEnd="15dp"
                android:layout_marginBottom="15dp"
                android:text="0/500"
                tools:ignore="HardcodedText" />

        </LinearLayout>

    </FrameLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:background="@color/white">

        <TextView
            android:id="@+id/tv_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="21dp"
            android:text="Upload screenshot(optional)"
            android:textColor="@color/black"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="20dp"
            android:text="0/3"
            android:textColor="#79797B"
            android:textSize="15sp"
            app:layout_constraintBottom_toBottomOf="@id/tv_tip"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/tv_tip"
            tools:ignore="HardcodedText" />


        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="25dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="@id/tv_tip"
            app:layout_constraintTop_toBottomOf="@id/tv_tip">

            <FrameLayout
                android:id="@+id/fl_1"
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:background="@drawable/bg_stroke_cacddb_15"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/fl_2"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <ImageView
                    android:id="@+id/iv_1"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    tools:ignore="ContentDescription" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:src="@mipmap/taijian_feedback"
                    tools:ignore="ContentDescription" />


            </FrameLayout>

            <FrameLayout
                android:id="@+id/fl_2"
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:background="@drawable/bg_stroke_cacddb_15"
                android:visibility="invisible"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/fl_3"
                app:layout_constraintStart_toEndOf="@+id/fl_1"
                app:layout_constraintTop_toTopOf="parent">

                <ImageView
                    android:id="@+id/iv_2"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    tools:ignore="ContentDescription" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:src="@mipmap/taijian_feedback"
                    tools:ignore="ContentDescription" />

            </FrameLayout>

            <FrameLayout
                android:id="@+id/fl_3"
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:background="@drawable/bg_stroke_cacddb_15"
                android:visibility="invisible"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/fl_2"
                app:layout_constraintTop_toTopOf="parent">

                <ImageView
                    android:id="@+id/iv_"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    tools:ignore="ContentDescription" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:src="@mipmap/taijian_feedback"
                    tools:ignore="ContentDescription" />

            </FrameLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>


    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:background="@color/white">

        <EditText
            android:id="@+id/edit_email"
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="25dp"
            android:background="@drawable/bg_stroke_cacddb_15"
            android:gravity="center_vertical"
            android:hint="Email Address"
            android:inputType="textEmailAddress"
            android:paddingStart="16dp"
            android:textColor="@color/black"
            android:textSize="15sp"
            tools:ignore="Autofill,HardcodedText,RtlSymmetry" />

    </FrameLayout>

</LinearLayout>